PDF::Builder::Resource::XObject::Image::GD(3)

NAME
PDF::Builder::Resource::XObject::Image::GD - Support routines for Graphics Development image library

Inherits from PDF::Builder::Resource::XObject::Image

METHODS

  new
    $res = PDF::Builder::Resource::XObject::Image::GD->new($pdf, $file, %opts)

    Options:

    'name' => 'string'
        This is the name you can give for the GD image object. The default is Dxnnnn.

    'lossless' => 1
        Use lossless compression.

    An image object is created from GD input. Note that this should be invoked from Builder.pm's method.